<?php

namespace AutoAdmin\Bundle\Media\Model;


/**
 * Class MediaModel
 */
interface MediaInterface
{
    public function getId(): mixed;

    public function getMediaChangedAt(): mixed;

    public function setMediaChangedAt(mixed $mediaChangedAt): void;

    public function getMapping(): string;

    public function setMapping(string $mapping): void;

    public function getMappingConfig(): array;

    public function setMappingConfig(array $mappingConfig): void;
}